Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire

# Interface FbWireTransaction

All Superinterfaces:
  `ExceptionListenable`, `FbTransaction`

All Known Implementing Classes:
  `V10Transaction`

public interface FbWireTransaction extends FbTransaction
Interface for transactions created for the wire protocol implementation.

Since:
  3.0
Author:
  Mark Rotteveel

## Method Summary

### Methods inherited from interface org.firebirdsql.gds.ng.listeners.ExceptionListenable

`addExceptionListener, removeExceptionListener`

### Methods inherited from interface org.firebirdsql.gds.ng.FbTransaction

`addTransactionListener, addWeakTransactionListener, commit, getHandle, getState, getTransactionId, getTransactionInfo, getTransactionInfo, prepare, removeTransactionListener, rollback`